Merge lp:~xnox/phablet-tools/no-uitk-deprecation into lp:phablet-tools

Proposed by Dimitri John Ledkov on 2014-07-14
Status: Rejected
Rejected by: Dimitri John Ledkov on 2014-07-14
Proposed branch: lp:~xnox/phablet-tools/no-uitk-deprecation
Merge into: lp:phablet-tools
Diff against target: 12 lines (+1/-1)
1 file modified
phablet-test-run (+1/-1)
To merge this branch: bzr merge lp:~xnox/phablet-tools/no-uitk-deprecation
Reviewer Review Type Date Requested Status
Dimitri John Ledkov Disapprove on 2014-07-14
PS Jenkins bot continuous-integration Pending
Review via email: mp+226710@code.launchpad.net

Commit message

Fix python3/python2 misdetection caused by ubuntuuitoolkit.emulators depreciation warning.

Description of the change

Fix python3/python2 misdetection caused by ubuntuuitoolkit.emulators depreciation warning.

Unmerged revisions

289. By Dimitri John Ledkov on 2014-07-14

Fix python3/python2 caused by ubuntuuitoolkit.emulators depreciation warning.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'phablet-test-run'
2--- phablet-test-run 2014-05-14 13:05:18 +0000
3+++ phablet-test-run 2014-07-14 17:01:38 +0000
4@@ -120,7 +120,7 @@
5
6 # First let's try python3, without python2 path
7 defaultpy="/usr/bin/python3"
8- import_error=$(adb shell "cd /home/phablet/autopilot; $defaultpy -c 'import $TESTSUITE'")
9+ import_error=$(adb shell "cd /home/phablet/autopilot; $defaultpy -c 'import logging;logger = logging.getLogger(\"ubuntuuitoolkit.emulators\");logger.setLevel(logging.CRITICAL); import $TESTSUITE'")
10 if [ -n "$import_error" ]; then
11 defaultpy="PYTHONPATH=/home/phablet/autopilot/legacy-py2:/home/phablet/autopilot /usr/bin/python"
12 fi

Subscribers

People subscribed via source and target branches